Npm ERR! this command with --force, or --legacy-peer-deps

17:11:48.760 Initializing build environment. This may take up to a few minutes to complete
17:14:17.970 Success: Finished initializing build environment
17:14:17.970 Cloning repository…
17:14:18.675 Success: Finished cloning repository files
17:14:18.852 Installing dependencies
17:14:18.855 Python version set to 2.7
17:14:19.872 Downloading and installing node v16.5.0…
17:14:20.016 Downloading https://nodejs.org/dist/v16.5.0/node-v16.5.0-linux-x64.tar.xz
17:14:20.285 Computing checksum with sha256sum
17:14:20.439 Checksums matched!
17:14:23.456 Now using node v16.5.0 (npm v7.19.1)
17:14:23.528 Started restoring cached build plugins
17:14:23.531 Finished restoring cached build plugins
17:14:23.658 Attempting ruby version 2.7.1, read from environment
17:14:24.692 Using ruby version 2.7.1
17:14:24.970 Using PHP version 5.6
17:14:25.006 5.2 is already installed.
17:14:25.011 Using Swift version 5.2
17:14:25.011 Started restoring cached node modules
17:14:25.013 Finished restoring cached node modules
17:14:25.296 Installing NPM modules using NPM version 7.19.1
17:14:32.330 npm ERR! code ERESOLVE
17:14:32.333 npm ERR! ERESOLVE unable to resolve dependency tree
17:14:32.333 npm ERR!
17:14:32.333 npm ERR! While resolving: @masx200/[email protected]
17:14:32.333 npm ERR! Found: [email protected]
17:14:32.333 npm ERR! node_modules/vue
17:14:32.333 npm ERR! [email protected]“3.1.5” from the root project
17:14:32.333 npm ERR!
17:14:32.333 npm ERR! Could not resolve dependency:
17:14:32.333 npm ERR! peer [email protected]“2.6.14” from @masx200/[email protected]
17:14:32.333 npm ERR! node_modules/@masx200/webpack-react-vue-spa-awesome-config
17:14:32.334 npm ERR! @masx200/[email protected]"^4.0.2" from the root project
17:14:32.334 npm ERR!
17:14:32.334 npm ERR! Fix the upstream dependency conflict, or retry
17:14:32.334 npm ERR! this command with --force, or --legacy-peer-deps
17:14:32.334 npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
17:14:32.334 npm ERR!
17:14:32.334 npm ERR! See /opt/buildhome/.npm/eresolve-report.txt for a full report.
17:14:32.341
17:14:32.342 npm ERR! A complete log of this run can be found in:
17:14:32.342 npm ERR! /opt/buildhome/.npm/_logs/2021-08-01T09_14_32_334Z-debug.log
17:14:32.349 Error during NPM install
17:14:32.350 Failed: build command exited with code: 1

May I ask how is this exactly related to Cloudflare?

What else does the .log file says?

Have you tried running with

npm install --force

Could this help to gather some more feedback information?:

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.